Skip to main content
POST
/
vault
/
accounts
/
{vaultAccountId}
/
circle_gateway
/
activate
TypeScript
const response: Promise<FireblocksResponse<CircleGatewayWalletStatusResponse>> = fireblocks.vaults.activateCircleGatewayWalletBeta(vaultsApiActivateCircleGatewayWalletBetaRequest);
{
  "walletId": "b68a9e08-b59c-4ff9-893f-52d4f78c21e6",
  "status": "ACTIVATED"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account

Response

Circle Gateway wallet activated successfully

walletId
string
required

The Circle Gateway wallet identifier

Example:

"b68a9e08-b59c-4ff9-893f-52d4f78c21e6"

status
enum<string>
required

Current activation status of the Circle Gateway wallet

Available options:
ACTIVATED,
DEACTIVATED
Example:

"ACTIVATED"